<?php

namespace Drupal\widget_engine_domain_access;

use Drupal\Core\Access\AccessResult;
use Drupal\widget_engine\WidgetAccessControlHandler;
use Drupal\Core\Session\AccountInterface;


/**
 * Access controller for the Widget entity with domain-based restrictions.
 *
 * @see \Drupal\widget_engine\Entity\Widget.
 */
class WidgetDomainAccessControlHandler extends WidgetAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  protected function checkCreateAccess(AccountInterface $account, array $context, $entity_bundle = NULL) {
    return AccessResult::allowedIfHasPermission($account, 'add widget entities');
  }

}
